
/**
 * Copyright © 2005-2010 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * debug section: NONE
 */

#include "fmtX.h"

size_t fmt_dotted(char *dest, const unsigned long long i, const char dot)
{
	register unsigned long tmp, len, len2;
	int dd = 0;

	/* first count the number of bytes needed */
	for (len = 1, tmp = i; tmp > 9; ++len)
		tmp /= 10;
	len = len + (len - 1) / 3;

	if (dest) {
		for (tmp = i, dest += len, len2 = len + 1; --len2;) {
			dd++;
			if (dd == 4) {
				*--dest = dot;
				dd = 0;
			} else {
				*--dest = (tmp % 10) + '0';
				tmp /= 10;
			}
		}
	}

	return len;
}
