
/**
 * Copyright © 2014 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef QLZ_H
#define QLZ_H

extern int quicklz_compress1(const void *ubuf, int ulen, void *cbuf);
extern int quicklz_decompress1(void *cbuf, void *ubuf);

extern int quicklz_compress2(const void *ubuf, int ulen, void *cbuf);
extern int quicklz_decompress2(void *cbuf, void *ubuf);

extern int quicklz_compress3(const void *ubuf, int ulen, void *cbuf);
extern int quicklz_decompress3(void *cbuf, void *ubuf);

#endif
