
/**
 * Copyright (C) 2001 - 2012 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#include <signal.h>
#include "sig.h"

void sig_init(void)
{

	/* ctrl-c */
	sig_catch(SIGINT, sig_handler);
	sig_catch(SIGQUIT, sig_handler);
	sig_catch(SIGTERM, sig_handler);

	/* terminal resize: */
	sig_catch(SIGWINCH, sig_handler);

	/* should never happen: */
	sig_catch(SIGSEGV, sig_handler);
	sig_catch(SIGFPE, sig_handler);

	return;
}
