
/**
 * Copyright © 2012 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#include "strallocX.h"
#include "fmtX.h"

int stralloc_cat_padleft(stralloc * sa, size_t srclen, size_t padlen,
			 size_t maxlen, char with)
{
	if (stralloc_readyplus
	    (sa, fmt_padleft(0, srclen, padlen, maxlen, with))) {
		sa->len +=
		    fmt_padleft(sa->s + sa->len, srclen, padlen, maxlen, with);
		return 1;
	}

	return 0;
}
