
/**
 * Copyright (C) 2006 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#include "strallocX.h"
#include "fmtX.h"

int stralloc_cat_random(stralloc * sa, int n)
{
	if (stralloc_readyplus(sa, fmt_random(0, n))) {
		sa->len += fmt_random(sa->s + sa->len, n);
		return 1;
	}

	return 0;
}
