
/**
 * Copyright © 2012 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#include "strallocX.h"
#include "fmtX.h"

int stralloc_cat_u64pw(stralloc * sa, unsigned long long i, int pad, char with)
{
	if (stralloc_readyplus(sa, fmt_u64pw(0, i, pad, with))) {
		sa->len += fmt_u64pw(sa->s + sa->len, i, pad, with);
		return 1;
	}

	return 0;
}
