
/**
 * Copyright © 2001-2009 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef FNG_TTY_H
#define FNG_TTY_H

#include <sys/types.h>
#include <sys/ioctl.h>
#include <termios.h>

#include "die.h"

extern int is_tty(int fd);

extern void tty_init(void);

extern void tty_restore(void);

extern void tty_getsize(int *x, int *y);

#endif
