
/**
 * Copyright © 2010 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#include <unistd.h>

#include "wrapper.h"
#include "die.h"

int xpipe(int pfd[2])
{
	int r = pipe(pfd);

	if (r < 0) {
		die_msg(111, "pipe error!");
	}

	return r;
}
