
/**
 * Copyright © 2014 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef COMPR_REP_H
#define COMPR_REP_H

#include <sys/types.h>
#include <inttypes.h>

int rep_decompress(uint8_t * ubuf, int ulen, uint8_t * cbuf, int clen);

int rep_compress(int BlockSize, int MinMatchLen, int Barrier, int SmallestLen,
		 int HashBits, int Amplifier, uint8_t * ubuf, int ulen,
		 uint8_t * cbuf, int *clen);

#endif
