
/**
 * Copyright © 2005 - 2012 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * debug section: NONE
 */

#include "fmtX.h"

size_t fmt_s64pw(char *dst, const long long i, const unsigned int pad,
		 const char with)
{
	register unsigned long len = 0;
	register long long tmp = i;

	if (i < 0) {
		tmp *= -1;
		len += 1;
		if (dst) {
			*dst = '-';
			++dst;
		}
	}

	for (len += 1; tmp > 9; ++len)
		tmp /= 10;

	if (dst) {
		while (len < pad) {
			*dst = with;
			++dst;
			++len;
		}
		fmt_ulonglong(dst, i);
	}

	return (len < pad ? pad : len);
}
