
/**
 * Copyright © 2001 - 2013 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * debug section: NONE
 */

#include "fmtX.h"
#include "defs.h"

size_t fmt_zero(char *dst, int n)
{
	char *old_dst = dst;

	if (!dst)
		return n;

	for (; n > 0; n--) {
		*dst = 0;
		dst++;
	}

	return dst - old_dst;
}

size_t fmt_uzero(unsigned char *dst, int n)
{
	char *dest = (char *)dst;

	return fmt_zero(dest, n);
}
