/* stats1c.h -- statistics for the the LZO library

   This file is part of the LZO real-time data compression library.

   Copyright (C) 1996-2015 Markus Franz Xaver Johannes Oberhumer
   All Rights Reserved.

   The LZO library is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License, or (at your option) any later version.

   The LZO library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with the LZO library; see the file COPYING.
   If not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

   Markus F.X.J. Oberhumer
   <markus@oberhumer.com>
   http://www.oberhumer.com/opensource/lzo/
 */

/* WARNING: this file should *not* be used by applications. It is
   part of the implementation of the library and is subject
   to change.
 */

#ifndef __LZO_STATS1C_H
#define __LZO_STATS1C_H 1

#define lzo1b_stats_t       lzo1c_stats_t
#define lzo1b_stats         lzo1c_stats
#define _lzo1b_stats_init   _lzo1c_stats_init
#define _lzo1b_stats_calc   _lzo1c_stats_calc

#include "stats1b.h"

#endif				/* already included */

/* vim:set ts=4 sw=4 et: */
