
/**
 * Copyright © 2012 - 2013 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * Derived from public domain C code in NACL, see http://nacl.cr.yp.to/
 */

#ifndef FNG_RANDOMBYTES_H
#define FNG_RANDOMBYTES_H

/**
 * can not fail, but will block forever, if we are out of fd's
 */
extern void randombytes(unsigned char *x, unsigned long long xlen);

/**
 * test for rdrand, which comes on intel ivy bridge
 */
extern int have_rdrand_bytes(void);
extern void rdrand_bytes(unsigned char *x, unsigned long long xlen);

#endif
