
/**
 * Copyright © 2009 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#include "strallocX.h"
#include "fmt.h"

int stralloc_cat_humank(stralloc * sa, unsigned long long in)
{
	if (stralloc_readyplus(sa, fmt_humank(0, in))) {
		sa->len += fmt_humank(sa->s + sa->len, in);
		return 1;
	}

	return 0;
}
