#/bin/sh

VERSION="v001"

exec 2>/dev/null
GIT=`which git`
if [ "$?" = "0" ]; then
 $GIT --version 1>/dev/null || exit 111
 commit=`git log -1 --pretty=format:%h`
 count=`git log --pretty=format:%h|wc -l`
 buildno="b${count}.${commit}"
else
 buildno="some-beta"
fi

cat > version.h <<EOF
#ifndef FNG_VERSION_H
#define FNG_VERSION "git.${buildno}.$VERSION"
#endif
EOF
